Installation fails with foreman-tasks
Description

When installing Katello in a new CentOS6 machine the installation of ruby193-rubygem-foreman-tasks-05.6-1.el6.noarch fails with
the following error:
/var/tmp/rpm-tmp.EFIgHJ: line 1: foreman-selinux-relabel: command not found

When the installation completes, an error with Dynflow prevents the https://localhost/katello to be displayed.

The installation is done with the following procedure:

. yum update

.yum install -y git ruby

. git clone https://github.com/Katello/katello-deploy.git
4. cd katello-deploy

5. vim /etc/hosts and add FQDN to list

6. setenforce 0

7. SELINUX=permissive on /etc/selinux/config

8. ./setup.rb centos6 --skip-installer
Associated revisions

Revision d9de7cbd - 05/28/2014 12:33 PM - lvan Necas

Fixes #5961 - access the Dynflow world after it had been initialized

Revision 5ddc2d48 - 05/28/2014 03:08 PM - lvan Necas
Merge pull request #4166 from iNecas/issue/5961

Fixes #5961 - access the Dynflow world after it had been initialized

History

#1 - 05/28/2014 07:43 AM - lvan Necas

what exactly is the error in Dynflow, the error message should not be displayed (we need to switch
https://github.com/theforeman/foreman-tasks/blob/master/rubygem-foreman-tasks.spec#l 110 "2>&1 >/dev/null’ to “>/dev/null 2>&1" or ideally to
“&>/dev/null’). However, this should not be the reason for error in the startup itself.

Therefore we need more info on that

#2 - 05/28/2014 07:50 AM - Lukas Zapletal
Fixed in https://github.com/theforeman/foreman-tasks/pull/57

#3 - 05/28/2014 07:50 AM - Lukas Zapletal

The workaround is to install this package before running the installer:

yum install foreman-selinux

#4 - 05/28/2014 11:21 AM - Ivan Necas
https://localhost/katello
https://github.com/Katello/katello-deploy.git
https://github.com/theforeman/foreman-tasks/blob/master/rubygem-foreman-tasks.spec#L110
https://github.com/theforeman/foreman-tasks/pull/57

- Status changed from New to Assigned

| think this is the real failure on installation:

The Dynflow world was not initialized yet.

ire!

in some initializer
/opt/rh/rubyl93/root/usr/share/gems/gems/foreman-tasks—0.5.6/1ib/foreman_tasks/dynflow.rb:

(RuntimeError)

If your plugin uses it,

/opt/rh/rubyl93/root/usr/share/gems/gems/katello-1.5.0/1lib/katello/engine.rb:38:

/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.

alizers'

/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2

ing'

/usr/share/foreman/config/environment.rb:5:in " <top

8/lib/rails/initializable.
2.8/lib/rails/initializable.
8/lib/rails/initializable.

.8/1lib/rails/initializable.
.8/1lib/rails/initializable.

(required)>"

in

rb:
rb:
rb:

rb:
rb:
8/1lib/rails/application.rb:136:in “initialize!’

.8/1lib/rails/railtie/configurable.rb:30:in ‘method_miss

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in "require'
/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in "require'
config.ru:3:in "block in <main>'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/builder.rb:51:
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/builder.rb:51:

config.ru:l:in "new

config.ru:l:in ~<main>'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

r>"'

/usr/lib/ruby/gems/1.

8/gems/passenger—4.
8/gems/passenger—4.
8/gems/passenger—4.
8/gems/passenger—4.

8/gems/passenger—4.

o O O o

.18/helper—-scripts/rack-preloader.
.18/helper-scripts/rack-preloader.
.18/helper-scripts/rack-preloader.

.18/helper-scripts/rack-preloader.

rb:
rb:
rb:

rb:

and was introduced with this PR: https:/github.com/Katello/katello/pull/4150

| will address that

#5 - 05/28/2014 03:53 PM - lvan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:d9de7cbdb80df7cOcbcal8ac5f75868f7a289ba2.

#6 - 06/05/2014 03:35 AM - Eric Helms

- Triaged changed from No to Yes

#7 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
28:in

“block
30:
30:
SISk

in
in
in

54:1in
54:in

make sure to call ForemanTasks.dynflow.requ

75:in “world'

in <class:Engine>'
"instance_exec'
“run'

"block in run_initi

“each'
‘run_initializers'

in ‘instance_eval'
in “initialize’
.18/helper-scripts/rack-preloader.rb:105:in “eval'

105:in “preload_app'
150:in "~ <module:App>'
29:in ~<module:PhusionPassenge

‘<main>'
